import java.awt.Shape;

/**
 * Die Klasse zur Steuerung der MoebelAnwendung.
 * 
 * @author claus albowski
 * @version Okt 05
 */
public class Steuerung
{
    // Instanzvariable

    /**
     * Konstruktor fuer Objekte der Klasse Steuerung
     */
    public Steuerung()
    {
        super();
        // Instanzvariable initialisieren
    }

  /**
   * Zeichne dieses Objekt mit seinen aktuellen Werten in das Leinwandfenster.
   */
  protected void zeichne(Moebel moebel, String farbe, Shape figur)
  {
      Leinwand leinwand = Leinwand.gibLeinwand();
      leinwand.zeichne (moebel, farbe, figur);
      leinwand.warte(10);
  }

  /**
   * L�sche dieses Objekt vom Leinwandfenster.
   */
  protected void loesche(Moebel moebel)
  {
      Leinwand leinwand = Leinwand.gibLeinwand();
      leinwand.entferne(moebel);
 }

}
